#
# spec file for package audacity (Version 1.3.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           audacity
BuildRequires:  SDL-devel flac-devel gcc-c++ glib-devel id3lib-devel jack-devel libid3tag-devel libmspack-devel libsamplerate-devel libsndfile-devel libtiff-devel libvorbis-devel soundtouch-devel unixODBC-devel update-desktop-files wxGTK-devel zip
# build with local portaudio for now
# BuildRequires:  portaudio-devel
%define DISTRIBUTABLE 1
Summary:        A Free, Cross-Platform Digital Audio Editor
Version:        1.3.4
Release:        5
License:        GPL v2 or later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://audacity.sourceforge.net/
Source:         %{name}-src-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch1:         %{name}-%{version}-cflags.patch
Patch2:         %{name}-%{version}-endian-fix.patch
Patch3:         %{name}-%{version}-font-fix.patch
Patch4:         %{name}-%{version}-portaudio-shlib.patch
Patch5:         %{name}-%{version}-retval.patch
Patch6:         %{name}-%{version}-strict-aliasing.patch
Patch7:         %{name}-%{version}-nosse.patch
Patch8:         %{name}-%{version}-compile.patch

%description
Audacity is a program that manipulates digital audio wave forms. In
addition to recording sounds directly from within the program, it
imports many sound file formats, including WAV, AIFF, AU, IRCAM, MP,
and Ogg Vorbis.  With Audacity, you can edit wave data larger than the
physical memory size of your computer.



Authors:
--------
    Dominic Mazzoni <dominic@minorninth.com>
    Roger Dannenberg <rbd+@cs.cmu.edu>
    Jason Cohen <cohen3+@andrew.cmu.edu>
    Robert Leidle <rfl+@andrew.cmu.edu>
    Mark Tomlinson <marktoml@hotmail.com>
    Joshua Haberman <joshua@haberman.com>
    Nasca Octavian Paul <paulnasca@email.ro>
    Logan Lewis <proxima@proxc.com>
    Matt Brubeck <mbrubeck@hmc.edu>
    Mark Phillips <mitb@totaldeath.com>
    Tony Oetzmann <airon@epost.de>
    Harvey Lubin <agrapha@agrapha.com>
    Tom Woodhams <tom@imaginemedia.co.uk>

%prep
%setup -q -n %{name}-src-%{version}-beta
%patch1
%patch2
%patch3
# build with local portaudio for now
# %patch4
%patch5
%patch6
%ifarch ia64 ppc ppc64 s390 s390x
# remove -msse from Makefiles
%patch7
%endif
%patch8

%build
%{?suse_update_config:%{suse_update_config -f . lib-src/*/.}}
export AUTOMAKE="automake --foreign"
autoreconf -f -i
cd lib-src/portaudio-v19
autoreconf -f -i
cd ../..
# Needed for audacity-1.3.3:
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --enable-unicode \
    --with-vorbis=system \
%if %DISTRIBUTABLE
    --without-libmad \
%else
    --with-libmad=system \
%endif
    --with-libsndfile=system \
    --with-flac=system \
    --with-id3tag=system \
    --with-libsamplerate=system \
    --with-portaudio=v19
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i audacity AudioVideo AudioVideoEditing
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
# we will add docs later in %files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/audacity
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%doc %{_mandir}/man?/*
%{_bindir}/audacity
%{_datadir}/audacity
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/audacity.xml

%changelog
* Fri Jan 25 2008 adrian@suse.de
- remove mad-devel in BuildRequires to keep the package as part
  of Factory
* Fri Jan 18 2008 anosek@suse.cz
- updated to version 1.3.4
  New features
  New Welcome Screen with introduction to Audacity.
  New keyboard command: 'Mix and Render to New Track' (bound to Ctrl+Shift+M).
  New keyboard shortcut: "Shift-A" starts playback when stopped, or performs "Stop and Select" when playing.
  Added support for VAMP audio analysis plug-ins.
  Solo button solos only one track at a time, and a track cannot be both mute and solo.
  Interface
  Keyboard shortcuts for making short/long jumps along the timeline.
  Added 'Snap To' in the Selection Bar.
  Made keyboard navigation easier when multiple menu items with the same first letter exist.
  Enhanced interface for label editing.
  Layout of OK/Cancel buttons consistency improved.
  Preferences:
  * "Select all audio in project, if none selected" (on by default).
  * "Beep on completion of longer activities" (system bell, not main output).
  * Other preferences cleaned up and explanations improved.
  Envelopes: Many fixes when copying / pasting / repeating.
  Many translation updates.
  Track height fixed in several cases.
  CleanSpeech mode switching without closing and re-opening fixed.
  Opening/Saving Formats
  Metadata editor added for OGG, FLAC and WAV/AIFF exports, and general improvements.
  Metadata import improved.
  Muted tracks are no longer audible in the exported mix.
  Effects
  Truncate Silence: support for multiple and stereo tracks.
  Dtmf Generator:
  * Added support for keypad letters.
  * Added an amplitude control.
  Compressor: variable decay time added.
  Equalization:
  * Clicks at start / end prevented.
  * Improvements to saved curves being found.
  * Preview works correctly.
  'Merge' command appears in Undo history.
  Clipping detected more reliably.
  Nyquist plug-ins reviewed and enhanced.
  Better (and more) progress bars.
  Cancelling effect always restores previous audio.
  Several improvement to effects in batch mode.
  Recording/Playback
  Improvements to latency correction.
  Updated version of portaudio-v19 library.
  Note that Help is no longer built in, but accessible on the Web via links in Audacity.
- dropped obsoleted patches:
  * flac.patch - already in upstream
  * equalization.patch - already in upstream
  * build.patch
  * hu_update.patch.bz2
- added patch to fix compilation errors (compile.patch)
* Wed Sep 19 2007 prusnak@suse.cz
- fix broken Equalization effect (equalization.patch) [#326217]
* Thu Aug 02 2007 anosek@suse.cz
- fixed Hungarian translation update [#295657] (hu_update.patch)
* Thu Jun 21 2007 sbrabec@suse.cz
- Build with system soundtouch.
- Build with jack support.
* Wed Jun 06 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue May 29 2007 prusnak@suse.cz
- updated to 1.3.3
  * added collapse/expand tracks
  * multiple clips per track
  * added selection bar
  * improved label tracks
  * better performance with large projects
  * added transcription toolbar
  * improved accessibility for the visually impaired
  * added auto-save and automatic crash recovery
  * added batch processing
  * metadata may be added to OGG files
  * EQ effect responsiveness improved
  * new Auto Duck effect
  * DTMF tone generator
- dropped obsoleted patches:
  * ambigous.patch
  * overflow-fix.patch (included in update)
  * qualification.patch (included in update)
  * wx-compat.patch
- added patches:
  * flac.patch - adjust for new FLAC 1.1.4 API
  * nosse.patch - don't try to use SSE on non-x86 archs
* Fri Apr 20 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Thu Aug 10 2006 anosek@suse.cz
- fixed build with new version of autotools (audacity-build.patch)
* Sun Feb 19 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Feb 15 2006 sbrabec@suse.cz
- Build with portaudio19 (#151210).
* Mon Jan 30 2006 aj@suse.de
- Further fix to BuildRequires.
* Sun Jan 29 2006 aj@suse.de
- Fix buildrequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 sbrabec@suse.cz
- Returned back required wx-compat patch.
* Wed Dec 07 2005 sbrabec@suse.cz
- Updated to version 1.2.4b.
* Wed Nov 09 2005 sbrabec@suse.cz
- Strict aliasing fix.
* Tue Oct 25 2005 sbrabec@suse.cz
- Fixed extra qualification.
- Build with correct CFLAGS.
- Fixed random return values.
* Fri Oct 14 2005 sbrabec@suse.cz
- Disabled mad support.
* Fri Apr 15 2005 mcihar@suse.de
- add SDL-devel-packages because of wxGTK
* Thu Feb 17 2005 hvogel@suse.de
- mark as nosrc
* Tue Nov 23 2004 ro@suse.de
- fix build with current wxGTK
* Mon Nov 22 2004 mcihar@suse.cz
- update to 1.2.3
* Mon Sep 06 2004 mcihar@suse.cz
-fix build on 64-bit arches
* Fri Sep 03 2004 mcihar@suse.cz
- update to 1.2.2
* Thu Aug 05 2004 tiwai@suse.de
- updated to version 1.2.1.
- using wxGTK-compat library.
* Sun Mar 28 2004 tiwai@suse.de
- fixed the segfault at the start up (bug #34313)
- fixed the size of fonts for wxGTK with GTK-2.
- fixed possible buffer overflows.
- build with portaudio-v18, v19 seems problematic.
* Fri Mar 05 2004 tiwai@suse.de
- updated to version 1.2.0 final.
* Mon Feb 16 2004 tiwai@suse.de
- updated to version 1.2.0-pre4.
* Thu Jan 22 2004 tiwai@suse.de
- fixed the build with the latest autoconf.
* Wed Jan 14 2004 tiwai@suse.de
- updated to version 1.2.0-pre3.
- use portaudio v19 (shared lib).
* Tue Jan 13 2004 tiwai@suse.de
- fixed the neededforbuild for the latest wxGTK with gtk2.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Sep 15 2003 tiwai@suse.de
- added desktop icon.
* Sun Sep 14 2003 adrian@suse.de
- add AudioVideoEditing Category
* Fri Aug 29 2003 tiwai@suse.de
- fixed the bug of WAVE display.
* Thu Aug 14 2003 tiwai@suse.de
- added desktop file.
* Mon Aug 11 2003 tiwai@suse.de
- updated to version 1.2.0-pre1.
- help file is installed under /usr/share/audacity.
* Thu Jul 03 2003 tiwai@suse.de
- fixed neededforbuild for the recent update of mad.
* Tue May 27 2003 ro@suse.de
- removed unpackaged files from buildroot
* Thu Mar 27 2003 tiwai@suse.de
- updated to version 1.1.3.
  linked with libFLAC and libsamplerate.
* Tue Nov 26 2002 tiwai@suse.de
- updated to version 1.1.1.
- build with the system libsndfile since now audacity supports
  libsndfile 1.0.
- enabled nyquist support.
* Fri Aug 30 2002 tiwai@suse.de
- updated to version 1.1.0 cvs 2002.08.30.
  the 1.1.0 tarball version has a major bug regarding to project
  file management (bug #18662).  this version fixes the problem.
  also, this one includes a help text, which wasn't there.
* Wed Jul 24 2002 tiwai@suse.de
- updated to version 1.1.0.
* Mon Jul 01 2002 tiwai@suse.de
- updated to the stable version 1.0.0-2.
* Wed Apr 17 2002 tiwai@suse.de
- fixed build with gcc-3.1.
* Wed Apr 10 2002 ro@suse.de
- work around autoconf problem: first AC_CHECK_HEADER
  apparently has to be outside of an if ... fi block
* Fri Feb 01 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 ro@suse.de
- added libpng,libjpeg,libtiff to neededforbuild
* Thu Jan 24 2002 tiwai@suse.de
- initial package version: 0.98.
- built with the shared id3lib.
